Last Comment Bug 302183 - Can't paste bookmarks into new (empty) folders.
: Can't paste bookmarks into new (empty) folders.
Status: RESOLVED WONTFIX
:
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: 2.0 Branch
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
: 359436 (view as bug list)
Depends on:
Blocks: 230563
  Show dependency treegraph
 
Reported: 2005-07-26 04:40 PDT by Shlomi Fish
Modified: 2009-01-21 07:07 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
A Patch to correct the problem. (2.45 KB, patch)
2005-07-26 04:46 PDT, Shlomi Fish
no flags Details | Diff | Review
New Version of the Patch with some needles code removed. (2.31 KB, patch)
2006-06-03 07:21 PDT, Shlomi Fish
no flags Details | Diff | Review

Description Shlomi Fish 2005-07-26 04:40:15 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/00200508 Firefox/1.0.6
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/00200508 Firefox/1.0.6

This is a port of bug 230563 (of Seamonkey) to Firefox, because it exists in
Firefox too, and a patch was written for it. Reading from the bug's description:

This is a comment or elaboration on a problem that has already been reported by
a number of informants.  There's a basic shortcoming with the way that pasting
of bookmarks appears to be intended to operate for the Mozilla user.  Rather
than Ctrl-V inserting the cut/copied item *before* the highlighted line in
Bookmark Manager, it would make more sense if Ctrl-V emulated the behaviour of
Netscape 4.x and inserted the cut/copied item *after* the highlighted line.

Netscape 4.x had it right in the first place as far as pasting behaviour in the
Bookmark Manager was concerned:

1. If you pasted to an open (expanded) folder, the cut/copied item was pasted
*into* that folder, as its first item.

2. If you pasted to a closed (collapsed) folder, the cut/copied item was pasted
immediately below that folder (but not into it), at the same level of nesting
within the bookmark hierarchy as that folder.

3. If you pasted to the last item in a folder, the cut/copied item got inserted
after it to become the new last item within that folder.  (You can't do that in
Mozilla with pasting, nor with keyboard shortcuts.)

4. If you pasted to the pseudo "Bookmarks for <whoever>" folder -- whether it
was open or closed -- the cut/copied item because the very first displayed bookmark.

Intuitive and consistent -- and if the pasting behaviour of Mozilla wasn't
intended to emulate that of Netscape 4.x, then it would be great if Mozilla
*did* emulate Netscape 4.x in that regard.  (Because -- disregarding Mozilla's
multiple bookmarks -- Netscape 4.x had the best bookmark manager around.)



Reproducible: Always
Comment 1 Shlomi Fish 2005-07-26 04:46:41 PDT
Created attachment 190542 [details] [diff] [review]
A Patch to correct the problem.

This is a patch that corrects this bug in Firefox CVS. It still has an issue of
traversing the rest of the folder from the item, because I believed it was a
problem, while in fact it wasn't.
Comment 2 Caleb 2005-07-26 05:38:08 PDT
Hey Shlomi, you need to request review from someone else, not from yourself :)

For this Firefox bug mconnor@steelgryphon.com would be a good choice, although
he might have a busy schedule so you'll have to wait. For Mozilla/SeaMonkey
you'd need someone else.
Comment 3 Shlomi Fish 2005-07-26 07:04:38 PDT
Comment on attachment 190542 [details] [diff] [review]
A Patch to correct the problem.

Caleb: thanks, I've changed the requestee to mconnor.
Comment 4 Shlomi Fish 2006-06-03 07:21:20 PDT
Created attachment 224309 [details] [diff] [review]
New Version of the Patch with some needles code removed.

This is a new version of the patch that eliminates some code that was added in the course of the patch' debugging, that wasn't really needed. The patch works fine without the removed code.
Comment 5 Phil Ringnalda (:philor) 2006-11-03 13:19:06 PST
*** Bug 359436 has been marked as a duplicate of this bug. ***
Comment 6 Stephen Donner [:stephend] 2006-12-16 01:06:57 PST
After more than 6 months, I'd switch reviewers...
Comment 7 Shlomi Fish 2006-12-16 08:28:26 PST
(In reply to comment #6)
> After more than 6 months, I'd switch reviewers...
> 

To whom do you suggest I switch my assigned reviewer? I barely know anyone here.

And for the record, I don't understand why I have to assign a reviewer in the first place. Why can't all potential reviewers search for all patches submitted in their categories, and handle them in a queue-like fashion.

Regards,

    Shlomi Fish
Comment 8 Shlomi Fish 2006-12-17 02:47:05 PST
Comment on attachment 224309 [details] [diff] [review]
New Version of the Patch with some needles code removed.

Switching reviewer to mano.
Comment 9 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2006-12-20 15:13:37 PST
Comment on attachment 224309 [details] [diff] [review]
New Version of the Patch with some needles code removed.

Hi Shlomi, thanks for you work. I'm canceling the review request here mostly because the code in question will be disabled sometime soon (in favor of places) and it's unlikely that we'll take this fix for 2.0.0.x.
Comment 10 Shlomi Fish 2006-12-21 02:15:52 PST
(In reply to comment #9)
> (From update of attachment 224309 [details] [diff] [review] [edit])
> Hi Shlomi, thanks for you work. I'm canceling the review request here mostly
> because the code in question will be disabled sometime soon (in favor of
> places) and it's unlikely that we'll take this fix for 2.0.0.x.
> 

OK, thanks for letting me know.

Regards,

    Shlomi Fish
Comment 11 Marco Bonardo [::mak] 2009-01-21 07:07:00 PST
not going to take further fixes on 2.x, feel free to reopen if you can reproduce on 3.x or current trunk

Note You need to log in before you can comment on or make changes to this bug.